curl --request GET \
--url https://api.enterprise.sandbox.uphold.com/core/external-accounts \
--header 'Authorization: Bearer <token>'{
"externalAccounts": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "bank",
"status": "ok",
"label": "My ACH Bank Account",
"asset": "USD",
"network": "ach",
"features": [
"withdraw"
],
"details": {
"address": {
"country": "US",
"subdivision": "US-CA",
"city": "Los Angeles",
"line1": "456 Oak Avenue",
"postalCode": "90001"
},
"routingNumber": "021000021",
"accountNumber": "987654321",
"accountType": "checking",
"secondaryNetworks": {
"withdraw": [
"fednow"
]
}
},
"createdAt": "2024-06-01T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
},
{
"id": "8357a0d4-f3c4-43d9-aecc-bcfd32ca9333",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "bank",
"status": "ok",
"label": "My FPS Bank Account",
"asset": "GBP",
"network": "fps",
"features": [
"withdraw"
],
"details": {
"accountNumber": "12345678",
"sortCode": "123456"
},
"createdAt": "2024-06-01T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
},
{
"id": "aa6e6efa-8d73-497c-8278-0347f459bd68",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "card",
"status": "ok",
"label": "My Visa Card",
"asset": "GBP",
"network": "visa",
"features": [
"deposit",
"withdraw"
],
"details": {
"type": "debit",
"last4Digits": "1519",
"expiryDate": {
"month": 12,
"year": 2030
},
"octSupport": "supported"
},
"createdAt": "2024-06-02T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
},
{
"id": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "card",
"status": "ok",
"label": "My Mastercard Card",
"asset": "GBP",
"network": "mastercard",
"features": [
"deposit"
],
"details": {
"type": "credit",
"last4Digits": "2311",
"expiryDate": {
"month": 3,
"year": 2035
},
"octSupport": "unsupported"
},
"createdAt": "2024-06-01T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
}
]
}List external accounts for the user.
curl --request GET \
--url https://api.enterprise.sandbox.uphold.com/core/external-accounts \
--header 'Authorization: Bearer <token>'{
"externalAccounts": [
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "bank",
"status": "ok",
"label": "My ACH Bank Account",
"asset": "USD",
"network": "ach",
"features": [
"withdraw"
],
"details": {
"address": {
"country": "US",
"subdivision": "US-CA",
"city": "Los Angeles",
"line1": "456 Oak Avenue",
"postalCode": "90001"
},
"routingNumber": "021000021",
"accountNumber": "987654321",
"accountType": "checking",
"secondaryNetworks": {
"withdraw": [
"fednow"
]
}
},
"createdAt": "2024-06-01T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
},
{
"id": "8357a0d4-f3c4-43d9-aecc-bcfd32ca9333",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "bank",
"status": "ok",
"label": "My FPS Bank Account",
"asset": "GBP",
"network": "fps",
"features": [
"withdraw"
],
"details": {
"accountNumber": "12345678",
"sortCode": "123456"
},
"createdAt": "2024-06-01T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
},
{
"id": "aa6e6efa-8d73-497c-8278-0347f459bd68",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "card",
"status": "ok",
"label": "My Visa Card",
"asset": "GBP",
"network": "visa",
"features": [
"deposit",
"withdraw"
],
"details": {
"type": "debit",
"last4Digits": "1519",
"expiryDate": {
"month": 12,
"year": 2030
},
"octSupport": "supported"
},
"createdAt": "2024-06-02T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
},
{
"id": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"ownerId": "1e32fca3-23f7-40ed-bc1b-de10c790182d",
"type": "card",
"status": "ok",
"label": "My Mastercard Card",
"asset": "GBP",
"network": "mastercard",
"features": [
"deposit"
],
"details": {
"type": "credit",
"last4Digits": "2311",
"expiryDate": {
"month": 3,
"year": 2035
},
"octSupport": "unsupported"
},
"createdAt": "2024-06-01T00:00:00.000Z",
"updatedAt": "2024-07-15T00:00:00.000Z"
}
]
}Was this page helpful?